> ## Documentation Index
> Fetch the complete documentation index at: https://failfast.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Partially update a product



## OpenAPI

````yaml /api-reference/openapi.json patch /inventory/product/{id}/
openapi: 3.0.3
info:
  title: Fail Fast API
  version: v1
  description: >-
    REST API for the Fail Fast platform. Authenticate with a workspace API key
    sent as a bearer token. Every response uses the `{message, error, data}`
    envelope.
servers:
  - url: https://api.failfast.ai
security: []
paths:
  /inventory/product/{id}/:
    patch:
      tags:
        - Inventory
      summary: Partially update a product
      operationId: inventory_product_partial_update
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          description: A UUID string identifying this product.
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedProduct'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/PatchedProduct'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/PatchedProduct'
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                  - error
                  - data
                properties:
                  message:
                    type: string
                    description: Human-readable outcome of the request.
                  error:
                    type: boolean
                    description: true when the request failed.
                    example: false
                  data:
                    $ref: '#/components/schemas/Product'
          description: ''
      security:
        - apiKey: []
components:
  schemas:
    PatchedProduct:
      type: object
      description: |-
        A ModelSerializer that takes an additional `fields` argument that
        controls which fields should be displayed.
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        base_unit_name:
          type: string
          readOnly: true
        alternative_measure_unit_name:
          type: string
          readOnly: true
        custom_fields:
          nullable: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        updated_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        deleted_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        audit_status:
          allOf:
            - $ref: '#/components/schemas/AuditStatusEnum'
          readOnly: true
        code:
          type: string
        description:
          type: string
          nullable: true
        name:
          type: string
        tracking_method:
          $ref: '#/components/schemas/TrackingMethodEnum'
        conversion_factor:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,6})?$
        is_imported:
          type: boolean
        manage_committed_inventory:
          type: boolean
        has_substitute:
          type: boolean
        product_class:
          $ref: '#/components/schemas/ProductClassEnum'
        is_active:
          type: boolean
        product_option:
          type: array
          items:
            type: string
            format: uuid
          nullable: true
        member:
          type: string
          format: uuid
          readOnly: true
        created_by:
          type: string
          format: uuid
          readOnly: true
        updated_by:
          type: string
          format: uuid
          readOnly: true
          nullable: true
        deleted_by:
          type: string
          format: uuid
          readOnly: true
          nullable: true
        group:
          type: string
          format: uuid
        brand:
          type: string
          format: uuid
          nullable: true
        base_unit:
          type: string
          format: uuid
        alternative_measure_unit:
          type: string
          format: uuid
          nullable: true
        product_type:
          type: string
          format: uuid
        tree_hash:
          type: string
          format: uuid
          nullable: true
    Product:
      type: object
      description: |-
        A ModelSerializer that takes an additional `fields` argument that
        controls which fields should be displayed.
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        base_unit_name:
          type: string
          readOnly: true
        alternative_measure_unit_name:
          type: string
          readOnly: true
        custom_fields:
          nullable: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        updated_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        deleted_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        audit_status:
          allOf:
            - $ref: '#/components/schemas/AuditStatusEnum'
          readOnly: true
        code:
          type: string
        description:
          type: string
          nullable: true
        name:
          type: string
        tracking_method:
          $ref: '#/components/schemas/TrackingMethodEnum'
        conversion_factor:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,6})?$
        is_imported:
          type: boolean
        manage_committed_inventory:
          type: boolean
        has_substitute:
          type: boolean
        product_class:
          $ref: '#/components/schemas/ProductClassEnum'
        is_active:
          type: boolean
        product_option:
          type: array
          items:
            type: string
            format: uuid
          nullable: true
        member:
          type: string
          format: uuid
          readOnly: true
        created_by:
          type: string
          format: uuid
          readOnly: true
        updated_by:
          type: string
          format: uuid
          readOnly: true
          nullable: true
        deleted_by:
          type: string
          format: uuid
          readOnly: true
          nullable: true
        group:
          type: string
          format: uuid
        brand:
          type: string
          format: uuid
          nullable: true
        base_unit:
          type: string
          format: uuid
        alternative_measure_unit:
          type: string
          format: uuid
          nullable: true
        product_type:
          type: string
          format: uuid
        tree_hash:
          type: string
          format: uuid
          nullable: true
      required:
        - alternative_measure_unit_name
        - audit_status
        - base_unit
        - base_unit_name
        - code
        - conversion_factor
        - created_at
        - created_by
        - deleted_at
        - deleted_by
        - group
        - has_substitute
        - id
        - is_imported
        - manage_committed_inventory
        - member
        - name
        - product_class
        - product_type
        - tracking_method
        - updated_at
        - updated_by
    AuditStatusEnum:
      enum:
        - C
        - U
        - D
      type: string
      description: |-
        * `C` - Created
        * `U` - Updated
        * `D` - Deleted
    TrackingMethodEnum:
      enum:
        - 'N'
        - S
        - B
      type: string
      description: |-
        * `N` - NONE
        * `S` - SERIAL
        * `B` - BATCH
    ProductClassEnum:
      enum:
        - 'NO'
        - RM
        - PR
        - FP
      type: string
      description: |-
        * `NO` - NONE
        * `RM` - RAW_MATERIAL
        * `PR` - IN_PROCESS
        * `FP` - FINISHED_PRODUCT
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: >-
        Workspace API key sent as a bearer token: `Authorization: Bearer
        failfast_...`. Create keys in Settings -> Workspace -> API Keys.

````